Dynalinks
Android apps

Update an existing Android app

PATCH
/android_apps/{id}
Manage the Android apps that links open.

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Path Parameters

id*string

UUID of the Android app to update

Request Body

Fields to update

application/json
  1. body
android_app?

Response Body

Android app updated successfully

application/json
  1. response
id?string

UUID of the Android app

Formatuuid
name?string

Name of the Android app

package_name?string

The package name for the Android app

fingerprints?array<string>

Array of SHA-256 fingerprints for the app

custom_scheme?string

Custom URL scheme for Facebook App Links (al:android:url meta tags)

Example Request
curl -X PATCH 'https://dynalinks.app/api/v1/android_apps/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "name": "Updated Android App",  "package_name": "com.mycompany.updatedapp",  "fingerprints": [    "12:34:56:78:90:AB:CD:EF:12:34:56:78:90:AB:CD:EF:12:34:56:78:90:AB:CD:EF:12:34:56:78:90:AB:CD"  ]}